HomeGuidesAPI ReferenceRelease notes
Log In
API Reference

Create Dataset Source

Create a new DatasetSource.

  • dataset_id (str): Required, ID of the dataset. The dataset must already exist.
  • source_id (UUID): Required, Unique Identifier(UUID) of the source data. The source must already exist.
  • folder (str or None): Optional, Path within the bucket to ingest data from..
  • query (str or None): Optional, Query statement to retrieve data.
  • created_at (datetime or None): Optional, Timestamp when the data source was created.
  • updated_at (datetime or None): Optional, Timestamp when the data source was last updated.
  • ingest_type (IngestType): Optional, Type of data ingestion. Default is IngestType.INSERT.
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params
string
required
uuid
required
string
enum
Defaults to insert
Allowed:
enum
Responses

422

Unprocessable Entity

500

Internal Server Error

Language
Credentials
OAuth2
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json